OlapMemberExpression Class

Class provides support for manual MDX expressions used for defining CalculatedMember objects.
Inheritance Hierarchy
SystemObject
  Dundas.BI.Data.MetadataDescriptorBase
    Dundas.BI.Data.MetadataExpressionDescriptor
      Dundas.BI.Data.DataProviders.OlapOlapMemberExpression

Namespace: Dundas.BI.Data.DataProviders.Olap
Assembly: Dundas.BI.Core (in Dundas.BI.Core.dll) Version: 2.0.0.0 (26.2.0.1000)
Syntax
public class OlapMemberExpression : ExpressionDescriptor

The OlapMemberExpression type exposes the following members.

Constructors
 NameDescription
Protected methodOlapMemberExpression(String) Initializes a new instance of the OlapMemberExpression class.
Public methodOlapMemberExpression(IOlapCube, String) Initializes a new instance of the OlapMemberExpression class.
Public methodOlapMemberExpression(IOlapCube, String, ICollectionParameter) Initializes a new instance of the OlapMemberExpression class.
Public methodOlapMemberExpression(CubePerspective, String, ICollectionParameter, Guid, String, String) Initializes a new instance of the OlapMemberExpression class.
Top
Properties
 NameDescription
Public propertyDescription Gets or sets the object description.
(Inherited from DescriptorBase)
Public propertyFormat Gets the statement format.
(Inherited from ExpressionDescriptor)
Public propertyId Gets the object ID.
(Inherited from DescriptorBase)
Public propertyName Gets or sets the object name.
(Inherited from DescriptorBase)
Public propertyParameters Gets the expression parameters.
(Inherited from ExpressionDescriptor)
Public propertyParameterValues Gets the query parameters.
Public propertyPlaceholders Gets the expression parameter placeholders.
(Inherited from ExpressionDescriptor)
Public propertyStatement Gets or sets the expression statement.
(Inherited from ExpressionDescriptor)
Top
Methods
 NameDescription
Protected methodAddPlaceholder Adds the placeholder to the collection.
(Inherited from ExpressionDescriptor)
Public methodDefineBooleanParameter(String, String, String, ParameterToken) Defines a parameter placeholder that expects Boolean values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineBooleanParameter(String, String, String, Boolean) Defines a parameter placeholder that expects Boolean values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineCollectionDateTimeParameter Defines a parameter placeholder that expects a DateTime collection.
(Inherited from ExpressionDescriptor)
Public methodDefineCollectionNumberParameter Defines a parameter placeholder that expects a number collection.
(Inherited from ExpressionDescriptor)
Public methodDefineCollectionStringParameter Defines a parameter placeholder that expects a string collection.
(Inherited from ExpressionDescriptor)
Public methodDefineDateTimeParameter(String, String, String, ParameterToken, ValidValuesSource) Defines a parameter placeholder that expects DateTime for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineDateTimeParameter(String, String, String, DateTime, ValidValuesSource) Defines a parameter placeholder that expects DateTime for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineDateTimeParameter(String, String, String, ParameterToken, DateTime, DateTime) Defines a parameter placeholder that expects DateTime values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineDateTimeParameter(String, String, String, DateTime, DateTime, DateTime) Defines a parameter placeholder that expects DateTime values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineNumericParameter(String, String, String, ParameterToken, ValidValuesSource) Defines a parameter placeholder that expects Number values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineNumericParameter(String, String, String, Number, ValidValuesSource) Defines a parameter placeholder that expects Number values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineNumericParameter(String, String, String, ParameterToken, Number, Number) Defines a parameter placeholder that expects Number values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineNumericParameter(String, String, String, Number, Number, Number) Defines a parameter placeholder that expects Number values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineStringParameter(String, String, String, ParameterToken, ValidValuesSource) Defines a parameter placeholder that expects string values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineStringParameter(String, String, String, ParameterToken, Int32) Defines a parameter placeholder that expects string values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineStringParameter(String, String, String, String, ValidValuesSource) Defines a parameter placeholder that expects string values for resolution.
(Inherited from ExpressionDescriptor)
Public methodDefineStringParameter(String, String, String, String, Int32) Defines a parameter placeholder that expects string values for resolution.
(Inherited from ExpressionDescriptor)
Public methodGetQueryText Gets the query text.
Public methodRemovePlaceholder Removes the specified expression placeholder.
(Inherited from ExpressionDescriptor)
Public methodRemoveUnusedPlaceholders Removes unused placeholders, by checking if their caption is part of the expression statement.
(Inherited from ExpressionDescriptor)
Public methodToStringReturns a string that represents the current object.
(Inherited from DescriptorBase)
Top
See Also